package com.zd.base.message.mapper;

import com.zd.base.message.domain.UserOpenId;

import java.util.List;

/**
 * 用户和微信openID对应表Mapper接口
 * 
 * @author hanson
 */
public interface UserOpenIdMapper 
{
    /**
     * 查询用户和微信openID对应表
     * 
     * @param id 用户和微信openID对应表主键
     * @return 用户和微信openID对应表
     */
    UserOpenId selectUserOpenIdById(Long id);

    /**
     * 查询用户和微信openID对应表列表
     * 
     * @param userOpenId 用户和微信openID对应表
     * @return 用户和微信openID对应表集合
     */
    List<UserOpenId> selectUserOpenIdList(UserOpenId userOpenId);

    /**
     * 根据主键集合查询用户和微信openID对应表列表
     *
     * @param ids 主键集合
     * @return 用户和微信openID对应表集合
     */
    List<UserOpenId> getListByIds(List<Long> ids);

    /**
     * 新增用户和微信openID对应表
     * 
     * @param userOpenId 用户和微信openID对应表
     * @return 结果
     */
    int insertUserOpenId(UserOpenId userOpenId);

    /**
     * 修改用户和微信openID对应表
     * 
     * @param userOpenId 用户和微信openID对应表
     * @return 结果
     */
    int updateUserOpenId(UserOpenId userOpenId);

    /**
     * 删除用户和微信openID对应表
     * 
     * @param id 用户和微信openID对应表主键
     * @return 结果
     */
    int deleteUserOpenIdById(Long id);

    /**
     * 批量删除用户和微信openID对应表
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteUserOpenIdByIds(Long[] ids);

    /**
     * 根据用户ID查询openID
     * @param userId 用户ID
     * @return UserOpenId
     */
    UserOpenId getByUserId(Long userId);
}
